#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Any
Summary:	Archive::Any - Single interface to deal with zips and tarballs
Summary(pl.UTF-8):	Archive::Any - wspólny interfejs do obsługi archiwów zip i tar
Name:		perl-Archive-Any
Version:	0.0945
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Archive/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7b964434c52a78a3df7bd16a75085e8e
URL:		http://search.cpan.org/dist/Archive-Any/
%if %{with tests}
BuildRequires:	perl-Archive-Tar >= 1.07
BuildRequires:	perl-Archive-Zip >= 1.07
BuildRequires:	perl-File-MMagic >= 1.27
BuildRequires:	perl-MIME-Types >= 1.16
BuildRequires:	perl-Module-Find >= 0.05
BuildRequires:	perl-Test-Perl-Critic
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple >= 0.40
BuildRequires:	perl-Test-Warn
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Archive-Tar >= 1.07
Requires:	perl-Archive-Zip >= 1.07
Requires:	perl-File-MMagic >= 1.27
Requires:	perl-MIME-Types >= 1.16
Requires:	perl-Module-Find >= 0.05
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a single interface for manipulating different archive
formats. Tarballs, zip files, etc...

%description -l pl.UTF-8
Ten moduł to wspólny interfejs do obrabiania archiwów w różnych
formatach: tar, zip itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Archive/Any.pm
%{perl_vendorlib}/Archive/Any
%{_mandir}/man3/*
%changelog
* Wed Feb 20 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Archive-Any.git;a=log;h=master

* Wed Feb 20 2019 Adam Gołębiowski <adamg@pld-linux.org> 3a56ad7
- updated to 0.0945

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 04c2cef
- updated to 0.0932

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 6f511a8
- BR: perl-Test-Perl-Critic

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 3e98907
- BR: perl-Test-Pod-Coverage

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> be098f4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 10746ba
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> f723e30
- updated to 0.093

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bb84cae
- spaces->tabs
- formatting

* Mon May 10 2004 ankry <ankry@pld-linux.org> ae16ec1
- BR/R fixed/simplified, rel. 3

* Sat May 08 2004 radek <radek@pld-linux.org> 33b0035
- release 2: s/pld.org.pl/pld-linux.org/

* Thu May 06 2004 ankry <ankry@pld-linux.org> d45468c
- fixed perl-devel BR

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> a5093cb
- license fixes

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 4acef78
- new style bconds

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> e026e8d
- pl, BR: perl-Class-Virtual (Class::Virtually::... is there)

* Sat Nov 01 2003 radek <radek@pld-linux.org> 8f8ecb5
- new (Makefile.PL wants Archive::Tar >= 0.22,
       but it doesn't work properly; bumped to 1.07)

